org.firebirdsql.management

## Class TableStatistics

- java.lang.Object
- - org.firebirdsql.management.TableStatistics

    @Volatile(reason="Experimental")
    public final class TableStatistics
    extends java.lang.Object

Snapshot of the table statistics of a connection (of the table reported by `tableName`).

Since:
  5
Author:
  Mark Rotteveel
See Also:
  `FBTableStatisticsManager`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `backoutCount()`
`long` `deleteCount()`
`long` `expungeCount()`
`long` `insertCount()`
`long` `purgeCount()`
`long` `readIdxCount()`
`long` `readSeqCount()`
`java.lang.String` `tableName()`
`java.lang.String` `toString()`
`long` `updateCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### tableName

    public java.lang.String tableName()

Returns:
  table name

#### readSeqCount

    public long readSeqCount()

Returns:
  count of sequential reads

#### readIdxCount

    public long readIdxCount()

Returns:
  count of indexed reads

#### insertCount

    public long insertCount()

Returns:
  count of inserts

#### updateCount

    public long updateCount()

Returns:
  count of updates

#### deleteCount

    public long deleteCount()

Returns:
  count of deletes

#### backoutCount

    public long backoutCount()

Returns:
  count of removals of a version of a record

#### purgeCount

    public long purgeCount()

Returns:
  count of removals of old versions of fully mature records (records that are committed, so that older ancestor versions are no longer needed)

#### expungeCount

    public long expungeCount()

Returns:
  count of removals of a record and all of its ancestors, for records whose deletions have been committed

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`